Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.providers.java
Class MsgProvider

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.providers.BasicProvider
                  |
                  +--org.apache.axis.providers.java.JavaProvider
                        |
                        +--org.apache.axis.providers.java.MsgProvider

All Implemented Interfaces:
  Handler, java.io.Serializable

public class MsgProvider
extends JavaProvider

Deal with message-style Java services. For now, these are services with exactly ONE OperationDesc, pointing to a method which looks like one of the following: public Element [] method(Vector v); (NOTE : This is silly, we should change it to either be Vector/Vector or Element[]/Element[]) public Document method(Document doc); public void method(MessageContext mc);

Author:
  Doug Davis (dug@us.ibm.com), Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.providers.java.JavaProvider
`entLog, log, OPTION_ALLOWEDMETHODS, OPTION_CLASSNAME, OPTION_CLASSPATH, OPTION_IS_STATIC, OPTION_SCOPE, OPTION_WSDL_INPUTSCHEMA, OPTION_WSDL_PORTTYPE, OPTION_WSDL_SERVICEELEMENT, OPTION_WSDL_SERVICEPORT, OPTION_WSDL_TARGETNAMESPACE`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`MsgProvider()`

Method Summary
`void` | `processMessage(MessageContext msgContext, SOAPEnvelope reqEnv, SOAPEnvelope resEnv, java.lang.Object obj)` Process the message.

Methods inherited from class org.apache.axis.providers.java.JavaProvider
`generateWSDL, getServiceClass, getServiceClassName, getServiceClassNameOptionName, getServiceObject, initServiceDesc, invoke, makeNewServiceObject`

Methods inherited from class org.apache.axis.providers.BasicProvider
`addOperation, getOperationName, getOperationNames, getOperationQNames`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MsgProvider

    public MsgProvider()

Method Detail

### processMessage

    public void processMessage(MessageContext msgContext,
                               SOAPEnvelope reqEnv,
                               SOAPEnvelope resEnv,
                               java.lang.Object obj)
                        throws java.lang.Exception

  Process the message. Figure out the method "style" (one of the three allowed signatures, which has already been determined and cached in the OperationDesc) and do the actual invocation. Note that we don't catch exceptions here, preferring to bubble them right up through to someone who'll catch it above us.

  Specified by:
    `processMessage` in class `JavaProvider`
  Parameters:
    `msgContext` - the active MessageContext
    `reqEnv` - the request SOAPEnvelope
    `resEnv` - the response SOAPEnvelope (we should fill this in)
    `obj` - the service target object
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.